//
// AEon's Pyramid
//################

textures/aepyra/aepyra_skybox
{
	qer_editorimage textures/aepyra/skybox1.tga //note this is the blue square
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19 155 170 78
        // yellowish sun...
	q3map_sun 255 254 162 155 315 60

	//q3map_surfacelight 130 
	q3map_surfacelight 130

	skyparms env/aepyra/aepyrasky - -
} 
          

//The sun part of the shader tells the rest of the reason. I have color coded it 
//to help explain what all the numbers are for. As you can see the color is red 3 
//2 2 the intensity is 70 the degree is 315 and the elevation is 65
//
//q3map_sun 3 2 2 70 315 65
//
//This keyword in a sky shader will create the illusion of light cast into a map 
//by a single, infinitely distance light source (sun, moon, nova, etc.). This is 
//only processed during the lighting phase of q3map. 
//
//red green blue: Color is described by three normalized rgb values. Color will be 
//normalized to a 0.0 to 1.0 range, so it doesn't matter what range you use. 
//
//intensity: is the brightness of the generated light. A value of 100 is a fairly 
//bright sun. The intensity of the light falls off with angle but not distance. 
//
//degrees: is the angle relative to the directions on the map file. A setting of 0 
//degrees equals east. 90 is north, 180 is west and 270 is south. 
//
//elevation: is the distance, measured in degrees from the horizon (z value of 
//zero in the map file). An elevation of 0 is sunrise/sunset. An elevation of 90 
//is noon


//
// MRCLEANTEX_2
//##############

textures/ae_mrcleantex_2/ankhlite_blu_3000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_blu.tga
	q3map_surfacelight 3000	
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_blu.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_blu.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_blu.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ae_mrcleantex_2/ankhlite_red_1000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_red.tga
	q3map_surfacelight 1000	
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_red.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_red.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/ae_mrcleantex_2/ankhlite_ylw_3000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_ylw.tga
	q3map_surfacelight 3000	
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_ylw.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_ylw.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_ylw.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


// Defcon.5 Tree-mapmodel (c) GrimReaper 
//########################
models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
